import request from '@/utils/request'

// 查询海报背景图列表
export function listMallPosterSetting(query) {
  return request({
    url: '/mall/mallPosterSetting/list',
    method: 'get',
    params: query
  })
}

// 查询海报背景图详细
export function getMallPosterSetting(posterId) {
  return request({
    url: '/mall/mallPosterSetting/' + posterId,
    method: 'get'
  })
}

// 新增海报背景图
export function addMallPosterSetting(data) {
  return request({
    url: '/mall/mallPosterSetting',
    method: 'post',
    data: data
  })
}

// 修改海报背景图
export function updateMallPosterSetting(data) {
  return request({
    url: '/mall/mallPosterSetting',
    method: 'put',
    data: data
  })
}

// 删除海报背景图
export function delMallPosterSetting(posterId) {
  return request({
    url: '/mall/mallPosterSetting/' + posterId,
    method: 'delete'
  })
}
